#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS += $(CPPFLAGS)
CXXFLAGS = $(CFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS += -Wl,-O1 -Wl,--as-needed -Wl,-s

ICU_DIR:=
ifneq ("$(wildcard /opt/icu57r/usr/include)","")
# New ICU 57.1
CFLAGS += -I/opt/icu57r/usr/include -L/opt/icu57r/usr/lib
PKG_CONFIG_PATH:=/opt/icu57r/usr/lib/pkgconfig:
ICU_DIR:=--with-icu-dir=/opt/icu57r/usr
endif

export PKG_CONFIG_PATH ICU_DIR

export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS

export MAKELEVEL=$(shell grep -c processor /proc/cpuinfo)
export PHPIZE=$(shell which phpize52)
export PHPCONFIG=$(shell which php52-config)
